# Change log

All notable changes to this project will be documented in this file. The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v2.19.0](https://github.com/puppetlabs/comply/tree/v2.19.0) (2024-03-06)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.18.2...v2.19.0)

### Added

- \(CISC-6512\) Update for Assessor 4.39.0 [\#567](https://github.com/puppetlabs/comply/pull/567) ([ComplianceService](https://github.com/ComplianceService))

## [v2.18.2](https://github.com/puppetlabs/comply/tree/v2.18.2) (2024-02-06)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.18.1...v2.18.2)

### Added

- \(CISC-6450\) Update for Assessor 4.38.0 [\#550](https://github.com/puppetlabs/comply/pull/550) ([ComplianceService](https://github.com/ComplianceService))

## [v2.18.1](https://github.com/puppetlabs/comply/tree/v2.18.1) (2024-01-16)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.18.0...v2.18.1)

### Added

- \(CISC-6401\) Update for Assessor 4.37.0 [\#547](https://github.com/puppetlabs/comply/pull/547) ([cliveweir](https://github.com/cliveweir))

## [v2.18.0](https://github.com/puppetlabs/comply/tree/v2.18.0) (2023-12-07)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.17.1...v2.18.0)

### Added

- \(CISC-6128\) Update for Assessor 4.36.0 [\#543](https://github.com/puppetlabs/comply/pull/543) ([cliveweir](https://github.com/cliveweir))

## [v2.17.1](https://github.com/puppetlabs/comply/tree/v2.17.1) (2023-11-08)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.17.0...v2.17.1)

### Added

- \(CISC-6228\) Adds limits parameter [\#537](https://github.com/puppetlabs/comply/pull/537) ([cliveweir](https://github.com/cliveweir))

## [v2.17.0](https://github.com/puppetlabs/comply/tree/v2.17.0) (2023-10-11)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.16.0...v2.17.0)

### Added

- \(CISC-6127\) Update for Assessor 4.34.0 [\#535](https://github.com/puppetlabs/comply/pull/535) ([ComplianceService](https://github.com/ComplianceService))

## [v2.16.0](https://github.com/puppetlabs/comply/tree/v2.16.0) (2023-09-18)

[Full Changelog](https://github.com/puppetlabs/comply/compare/async...v2.16.0)

### Added

- \(CISC-3313-2\) Update for Assessor 4.33.0 [\#528](https://github.com/puppetlabs/comply/pull/528) ([ComplianceService](https://github.com/ComplianceService))

## [async](https://github.com/puppetlabs/comply/tree/async) (2023-09-13)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.15.0...async)

## [v2.15.0](https://github.com/puppetlabs/comply/tree/v2.15.0) (2023-08-01)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.14.0...v2.15.0)

### Added

- \(CISC-3312\) Update for Assessor 4.32.0 [\#525](https://github.com/puppetlabs/comply/pull/525) ([ComplianceService](https://github.com/ComplianceService))

## [v2.14.0](https://github.com/puppetlabs/comply/tree/v2.14.0) (2023-06-19)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.13.0...v2.14.0)

### Added

- \(CISC-3302\) Update for Assessor 4.30.0 [\#520](https://github.com/puppetlabs/comply/pull/520) ([ComplianceService](https://github.com/ComplianceService))

## [v2.13.0](https://github.com/puppetlabs/comply/tree/v2.13.0) (2023-04-24)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.12.0...v2.13.0)

### Added

- \(CISC-2338\) pass command as string if puppet version does not support arrays [\#510](https://github.com/puppetlabs/comply/pull/510) ([cliveweir](https://github.com/cliveweir))
- \(CISC-3215\) Assessor 4.28.0 [\#508](https://github.com/puppetlabs/comply/pull/508) ([seamymckenna](https://github.com/seamymckenna))

## [v2.12.0](https://github.com/puppetlabs/comply/tree/v2.12.0) (2023-03-13)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.11.1...v2.12.0)

### Added

- \(CISC-3077-licence-update\) Update for Assessor 4.27.0 [\#503](https://github.com/puppetlabs/comply/pull/503) ([ComplianceService](https://github.com/ComplianceService))
- \(CISC-3017\) Use Linux embedded JAVA [\#498](https://github.com/puppetlabs/comply/pull/498) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-2951\) Use Windows embedded JAVA [\#492](https://github.com/puppetlabs/comply/pull/492) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-2992\) Update for Assessor 4.26.0 [\#489](https://github.com/puppetlabs/comply/pull/489) ([ComplianceService](https://github.com/ComplianceService))

## [v2.11.1](https://github.com/puppetlabs/comply/tree/v2.11.1) (2023-02-14)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.11.0...v2.11.1)

## [v2.11.0](https://github.com/puppetlabs/comply/tree/v2.11.0) (2023-01-23)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.10.0...v2.11.0)

### Added

- \(CISC-2783\) Replace theq with redis [\#484](https://github.com/puppetlabs/comply/pull/484) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-2963\) Checksum change folllowing sce script updates [\#482](https://github.com/puppetlabs/comply/pull/482) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC2847\) Update for Assessor 4.25.0 [\#480](https://github.com/puppetlabs/comply/pull/480) ([ComplianceService](https://github.com/ComplianceService))
- report upload: compression\_mode for report upload [\#475](https://github.com/puppetlabs/comply/pull/475) ([kyleterry](https://github.com/kyleterry))

### Fixed

- \(CISC-2738\) Use puppet curl for assessor download [\#474](https://github.com/puppetlabs/comply/pull/474) ([cliveweir](https://github.com/cliveweir))

## [v2.10.0](https://github.com/puppetlabs/comply/tree/v2.10.0) (2022-12-01)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.9.0...v2.10.0)

### Added

- Bump chocolatey [\#473](https://github.com/puppetlabs/comply/pull/473) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-2828-2\) Update for Assessor 4.23.0 [\#472](https://github.com/puppetlabs/comply/pull/472) ([ComplianceService](https://github.com/ComplianceService))

## [v2.9.0](https://github.com/puppetlabs/comply/tree/v2.9.0) (2022-10-20)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.8.0...v2.9.0)

### Added

- \(CISC-2787\) Updates for v2.9.0 [\#468](https://github.com/puppetlabs/comply/pull/468) ([cliveweir](https://github.com/cliveweir))
- \(CISC-2748\) Update for Assessor 4.22.0 [\#467](https://github.com/puppetlabs/comply/pull/467) ([ComplianceService](https://github.com/ComplianceService))

## [v2.8.0](https://github.com/puppetlabs/comply/tree/v2.8.0) (2022-09-08)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.7.0...v2.8.0)

### Added

- \(CISC-2664-2\) Update for Assessor 4.21.0 [\#461](https://github.com/puppetlabs/comply/pull/461) ([ComplianceService](https://github.com/ComplianceService))
- Release [\#457](https://github.com/puppetlabs/comply/pull/457) ([kbrezina](https://github.com/kbrezina))
- \(CMPL-102\) Add optional parameter for Assessor download token [\#454](https://github.com/puppetlabs/comply/pull/454) ([danielkee](https://github.com/danielkee))

### Fixed

- \(CISC-2668\) Fix command vulnerability [\#459](https://github.com/puppetlabs/comply/pull/459) ([cliveweir](https://github.com/cliveweir))

## [v2.7.0](https://github.com/puppetlabs/comply/tree/v2.7.0) (2022-07-08)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.6.0...v2.7.0)

### Added

- \(CISC-2607\) Update for Assessor 4.19.0 [\#450](https://github.com/puppetlabs/comply/pull/450) ([ComplianceService](https://github.com/ComplianceService))
- \(CMPL-77\) Add support for auth token and configurable scan report upload path [\#449](https://github.com/puppetlabs/comply/pull/449) ([danielkee](https://github.com/danielkee))

## [v2.6.0](https://github.com/puppetlabs/comply/tree/v2.6.0) (2022-06-15)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.5.0...v2.6.0)

### Added

- \(CISC-2588\) Changes for 2.6.0 release [\#448](https://github.com/puppetlabs/comply/pull/448) ([ragingra](https://github.com/ragingra))
- \(CISC-2562\) Update for Assessor 4.18.0 [\#445](https://github.com/puppetlabs/comply/pull/445) ([ComplianceService](https://github.com/ComplianceService))
- \(CMPL-11\) Remove dependency on agent certs [\#441](https://github.com/puppetlabs/comply/pull/441) ([danielkee](https://github.com/danielkee))

## [v2.5.0](https://github.com/puppetlabs/comply/tree/v2.5.0) (2022-05-05)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.4.0...v2.5.0)

### Added

- Changes for 2.5.0 release [\#440](https://github.com/puppetlabs/comply/pull/440) ([kbrezina](https://github.com/kbrezina))
- Changes for 2.5.0 release [\#438](https://github.com/puppetlabs/comply/pull/438) ([kbrezina](https://github.com/kbrezina))
- \(maint\) Update java version requirement [\#434](https://github.com/puppetlabs/comply/pull/434) ([cliveweir](https://github.com/cliveweir))
- \(CISC-2497-2\) Update for Assessor 4.16.1 [\#433](https://github.com/puppetlabs/comply/pull/433) ([ComplianceService](https://github.com/ComplianceService))
- \(CISC-2496\) Update for Assessor 4.16.1 [\#431](https://github.com/puppetlabs/comply/pull/431) ([ComplianceService](https://github.com/ComplianceService))
- \(CISC-2256\) Create symlink for wget.exe [\#430](https://github.com/puppetlabs/comply/pull/430) ([cliveweir](https://github.com/cliveweir))
- \(CISC-2380\) Update for Assessor 4.15.0 [\#425](https://github.com/puppetlabs/comply/pull/425) ([ComplianceService](https://github.com/ComplianceService))

## [v2.4.0](https://github.com/puppetlabs/comply/tree/v2.4.0) (2022-03-24)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.3.0...v2.4.0)

## [v2.3.0](https://github.com/puppetlabs/comply/tree/v2.3.0) (2022-02-02)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.2.2...v2.3.0)

### Added

- \(CISC-2247\) Store ad hoc consistently [\#423](https://github.com/puppetlabs/comply/pull/423) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-2253\) Update for Assessor 4.14.0 [\#422](https://github.com/puppetlabs/comply/pull/422) ([ComplianceService](https://github.com/ComplianceService))

## [v2.2.2](https://github.com/puppetlabs/comply/tree/v2.2.2) (2022-01-10)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.2.1...v2.2.2)

### Added

- \(CISC-2070\) Update for Assessor 4.13.1 [\#420](https://github.com/puppetlabs/comply/pull/420) ([ComplianceService](https://github.com/ComplianceService))
- \(CISC-2112\) 2.2.1 Release [\#416](https://github.com/puppetlabs/comply/pull/416) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-1004\) Update for Assessor 4.13.0 [\#413](https://github.com/puppetlabs/comply/pull/413) ([ComplianceService](https://github.com/ComplianceService))
- \(CISC-2014\) 2.2.0 Release [\#409](https://github.com/puppetlabs/comply/pull/409) ([seamymckenna](https://github.com/seamymckenna))

## [v2.2.1](https://github.com/puppetlabs/comply/tree/v2.2.1) (2021-12-21)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.2.0...v2.2.1)

## [v2.2.0](https://github.com/puppetlabs/comply/tree/v2.2.0) (2021-11-08)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.1.0...v2.2.0)

### Added

- \(CISC-1805\) Update Assessor to 4.11.0 [\#406](https://github.com/puppetlabs/comply/pull/406) ([seamymckenna](https://github.com/seamymckenna))
- \(CISC-1548\) Rev assessor to version 4.9.0 and change scanner defaults. [\#403](https://github.com/puppetlabs/comply/pull/403) ([eoinmcq](https://github.com/eoinmcq))
- \(CISC-1467,CISC-1470\) Add scanID to task [\#397](https://github.com/puppetlabs/comply/pull/397) ([cliveweir](https://github.com/cliveweir))
- \(CISC-1491\) Rev the assessor version to 4.8.2. [\#384](https://github.com/puppetlabs/comply/pull/384) ([eoinmcq](https://github.com/eoinmcq))
- \(CISC-1386\) Add checksum to fix issue where assessor is not upgraded [\#381](https://github.com/puppetlabs/comply/pull/381) ([yachub](https://github.com/yachub))
- manage chocolatey independently and fix redhat version [\#378](https://github.com/puppetlabs/comply/pull/378) ([chrislorro](https://github.com/chrislorro))
- Retool scanner\_source usage [\#377](https://github.com/puppetlabs/comply/pull/377) ([yachub](https://github.com/yachub))
- \(CISC-1237\) Add new workflow for install/upgrade of Assessor [\#361](https://github.com/puppetlabs/comply/pull/361) ([eimlav](https://github.com/eimlav))
- \(CISC-1246\) Update for Assessor 4.6.0 [\#360](https://github.com/puppetlabs/comply/pull/360) ([eimlav](https://github.com/eimlav))
- \(CISC-1229\) Update module dependencies [\#359](https://github.com/puppetlabs/comply/pull/359) ([eimlav](https://github.com/eimlav))
- \(CISC-1126\) Add support for Windows 10 benchmarks [\#349](https://github.com/puppetlabs/comply/pull/349) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-1174\) Update for Assessor 4.4.0 [\#348](https://github.com/puppetlabs/comply/pull/348) ([eoinmcq](https://github.com/eoinmcq))
- \(CISC-1129\) Add support for OSX benchmarks [\#347](https://github.com/puppetlabs/comply/pull/347) ([eimlav](https://github.com/eimlav))
- \(CISC-1035\) Add Rake task for grabbing xccdf reports from demo env [\#336](https://github.com/puppetlabs/comply/pull/336) ([eimlav](https://github.com/eimlav))
- \(CISC-1038\) Update the assessor version to 4.3.1 [\#335](https://github.com/puppetlabs/comply/pull/335) ([eoinmcq](https://github.com/eoinmcq))

### Fixed

- \(CISC-1569\) Auto install chocolatey packages [\#402](https://github.com/puppetlabs/comply/pull/402) ([cliveweir](https://github.com/cliveweir))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-1296\) Comply always tries to install 7-zip on Windows [\#373](https://github.com/puppetlabs/comply/pull/373) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-1291\) chdir to Assessor-CLI before running scans [\#366](https://github.com/puppetlabs/comply/pull/366) ([Sharpie](https://github.com/Sharpie))
- \(CISC-1125\) Fix scan task not setting custom profile id correctly [\#339](https://github.com/puppetlabs/comply/pull/339) ([eimlav](https://github.com/eimlav))
- \(CISC-1080\) Fix integration tests not setting PE creds [\#333](https://github.com/puppetlabs/comply/pull/333) ([eimlav](https://github.com/eimlav))
- Update Windows Java Package [\#329](https://github.com/puppetlabs/comply/pull/329) ([yachub](https://github.com/yachub))
- Move install\_type flag to correct plan [\#323](https://github.com/puppetlabs/comply/pull/323) ([da-ar](https://github.com/da-ar))

## [v2.1.0](https://github.com/puppetlabs/comply/tree/v2.1.0) (2021-10-04)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v2.0.0...v2.1.0)

## [v2.0.0](https://github.com/puppetlabs/comply/tree/v2.0.0) (2021-08-18)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.5...v2.0.0)

## [v1.0.5](https://github.com/puppetlabs/comply/tree/v1.0.5) (2021-06-02)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.4...v1.0.5)

## [v1.0.4](https://github.com/puppetlabs/comply/tree/v1.0.4) (2021-05-13)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.3...v1.0.4)

## [v1.0.3](https://github.com/puppetlabs/comply/tree/v1.0.3) (2021-03-29)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.2...v1.0.3)

## [v1.0.2](https://github.com/puppetlabs/comply/tree/v1.0.2) (2021-02-24)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.1...v1.0.2)

## [v1.0.1](https://github.com/puppetlabs/comply/tree/v1.0.1) (2021-01-29)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v1.0.0...v1.0.1)

### Added

- \(CISC-916\) allows scans to run in debug mode [\#306](https://github.com/puppetlabs/comply/pull/306) ([tphoney](https://github.com/tphoney))
- \(CISC-948\) make java installation configurable for all OSes [\#302](https://github.com/puppetlabs/comply/pull/302) ([tphoney](https://github.com/tphoney))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-1048\) Fix linux manage unzip triggering on Windows nodes [\#328](https://github.com/puppetlabs/comply/pull/328) ([eimlav](https://github.com/eimlav))
- Avoid package collision by using ensure\_packges [\#308](https://github.com/puppetlabs/comply/pull/308) ([psreed](https://github.com/psreed))

## [v1.0.0](https://github.com/puppetlabs/comply/tree/v1.0.0) (2020-12-02)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.9.0...v1.0.0)

### Added

- \(Feat\) Report now points theQ [\#300](https://github.com/puppetlabs/comply/pull/300) ([CoMfUcIoS](https://github.com/CoMfUcIoS))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-946\) adding the appropriate license file [\#301](https://github.com/puppetlabs/comply/pull/301) ([tphoney](https://github.com/tphoney))
- \(CISC-871\) Add Settings table to Hasura [\#294](https://github.com/puppetlabs/comply/pull/294) ([eimlav](https://github.com/eimlav))

## [v0.9.0](https://github.com/puppetlabs/comply/tree/v0.9.0) (2020-11-25)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.8.0...v0.9.0)

### Added

- \(CISC-917\) remove un-needed files from resultant module [\#290](https://github.com/puppetlabs/comply/pull/290) ([tphoney](https://github.com/tphoney))
- \(CISC-837\) adding more OSes to scanner support [\#283](https://github.com/puppetlabs/comply/pull/283) ([tphoney](https://github.com/tphoney))
- \(CISC-762\) Add docker pepper secret [\#275](https://github.com/puppetlabs/comply/pull/275) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-845\) remove the app\_stack class [\#274](https://github.com/puppetlabs/comply/pull/274) ([tphoney](https://github.com/tphoney))
- \(CISC-780\) changing to 4.0.24 of the CIS scanner [\#271](https://github.com/puppetlabs/comply/pull/271) ([tphoney](https://github.com/tphoney))
- \(CISC-734\) config for secure/insecure report sending [\#270](https://github.com/puppetlabs/comply/pull/270) ([tphoney](https://github.com/tphoney))
- \(CISC-757\) adding watcher to the stack [\#267](https://github.com/puppetlabs/comply/pull/267) ([tphoney](https://github.com/tphoney))
- \(CISC-733,CISC-758,CISC-759\) Enable Authentication [\#266](https://github.com/puppetlabs/comply/pull/266) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-723,CISC-726,CISC-727,CISC-729,CISC-730,CISC-731\) Get gatekeeper and identity services into our stack [\#264](https://github.com/puppetlabs/comply/pull/264) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-722\) Random Password generator [\#262](https://github.com/puppetlabs/comply/pull/262) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-743\) \[module\] Docker secrets to store sensitive stack information [\#261](https://github.com/puppetlabs/comply/pull/261) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-739\) Update scarp api base uri. [\#258](https://github.com/puppetlabs/comply/pull/258) ([tphoney](https://github.com/tphoney))
- \(CISC-745\) \[module\] Pass  module version to UI [\#256](https://github.com/puppetlabs/comply/pull/256) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-712\) task to allow upgrades of the assessor [\#255](https://github.com/puppetlabs/comply/pull/255) ([tphoney](https://github.com/tphoney))
- \(CISC-655\) move to 4.0.23 of the assessor [\#248](https://github.com/puppetlabs/comply/pull/248) ([tphoney](https://github.com/tphoney))
- \(CISC-688\) Ciscat scan custom\_profile\_id and scan\_type params [\#247](https://github.com/puppetlabs/comply/pull/247) ([HelenCampbell](https://github.com/HelenCampbell))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-893\) use certname as a param when pushing reports [\#292](https://github.com/puppetlabs/comply/pull/292) ([tphoney](https://github.com/tphoney))
- \(CISC-893\) use certnames not hostnames [\#291](https://github.com/puppetlabs/comply/pull/291) ([tphoney](https://github.com/tphoney))
- \(CISC-844\) removing the cis scanner from the module [\#284](https://github.com/puppetlabs/comply/pull/284) ([tphoney](https://github.com/tphoney))
- \(CISC-889\) pass the fqdn with the report [\#281](https://github.com/puppetlabs/comply/pull/281) ([tphoney](https://github.com/tphoney))
- \(CISC-862\) \[Task\] task reports back to a hardcoded port. [\#279](https://github.com/puppetlabs/comply/pull/279) ([CoMfUcIoS](https://github.com/CoMfUcIoS))
- \(CISC-794\) Fix custom profile usage in ciscat task [\#268](https://github.com/puppetlabs/comply/pull/268) ([eimlav](https://github.com/eimlav))
- \(CISC-740\) allow setting of pe tls checks in scarp [\#265](https://github.com/puppetlabs/comply/pull/265) ([tphoney](https://github.com/tphoney))
- \(CISC-744\) improve error message/handing for ciscat scan [\#259](https://github.com/puppetlabs/comply/pull/259) ([tphoney](https://github.com/tphoney))
- \(CISC-747\) update hasura metadata for profile\_rule table [\#257](https://github.com/puppetlabs/comply/pull/257) ([tphoney](https://github.com/tphoney))

## [v0.8.0](https://github.com/puppetlabs/comply/tree/v0.8.0) (2020-09-17)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.7.0...v0.8.0)

### Added

- \(CISC-661,CISC-665\) Add graphQL Layer into our stack, import graphql metadata into production [\#244](https://github.com/puppetlabs/comply/pull/244) ([CoMfUcIoS](https://github.com/CoMfUcIoS))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-683\) ciscat task set java memory options, fqdn match in lowercase [\#249](https://github.com/puppetlabs/comply/pull/249) ([tphoney](https://github.com/tphoney))
- \(CISC-672\) Fix path issues in script.sh [\#245](https://github.com/puppetlabs/comply/pull/245) ([eimlav](https://github.com/eimlav))

## [v0.7.0](https://github.com/puppetlabs/comply/tree/v0.7.0) (2020-08-27)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.6.0...v0.7.0)

### Added

- \(CISC-615\) Use string for scan\_hash in ciscat task [\#237](https://github.com/puppetlabs/comply/pull/237) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-457\) ciscat scan task allows a hash of benchmark/profile [\#229](https://github.com/puppetlabs/comply/pull/229) ([tphoney](https://github.com/tphoney))
- \(CISC-534\) add assessor version fact and tests [\#228](https://github.com/puppetlabs/comply/pull/228) ([tphoney](https://github.com/tphoney))
- \(CISC-491\) add release helper action [\#226](https://github.com/puppetlabs/comply/pull/226) ([maxiegit](https://github.com/maxiegit))
- \(CISC-480\) add more ubuntu OSes [\#225](https://github.com/puppetlabs/comply/pull/225) ([tphoney](https://github.com/tphoney))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-622\) Modify ciscat to negate need to reboot on Windows [\#238](https://github.com/puppetlabs/comply/pull/238) ([eimlav](https://github.com/eimlav))
- \(CISC-402\) Add idempotency check for Assessor-CLI installation [\#235](https://github.com/puppetlabs/comply/pull/235) ([eimlav](https://github.com/eimlav))
- \(CISC-459\) Improve error reporting when Java is not present [\#224](https://github.com/puppetlabs/comply/pull/224) ([da-ar](https://github.com/da-ar))
- \(bugfix\) Fix `image_helper.sh` issue with Postgres image [\#223](https://github.com/puppetlabs/comply/pull/223) ([da-ar](https://github.com/da-ar))

## [v0.6.0](https://github.com/puppetlabs/comply/tree/v0.6.0) (2020-07-17)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.5.1...v0.6.0)

## [v0.5.1](https://github.com/puppetlabs/comply/tree/v0.5.1) (2020-06-15)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.5.0...v0.5.1)

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(fix\) remove adminer, update postgres to latest [\#217](https://github.com/puppetlabs/comply/pull/217) ([tphoney](https://github.com/tphoney))

## [v0.5.0](https://github.com/puppetlabs/comply/tree/v0.5.0) (2020-06-03)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.4.0...v0.5.0)

### Added

- \(feat\) Make scarp address configurable [\#204](https://github.com/puppetlabs/comply/pull/204) ([tphoney](https://github.com/tphoney))
- \(CISC-377\) add extra oses to scanner matrix [\#199](https://github.com/puppetlabs/comply/pull/199) ([maxiegit](https://github.com/maxiegit))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(bugfix\) allow the passing of profile as a string to ciscat [\#203](https://github.com/puppetlabs/comply/pull/203) ([tphoney](https://github.com/tphoney))

## [v0.4.0](https://github.com/puppetlabs/comply/tree/v0.4.0) (2020-05-27)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.3.0...v0.4.0)

### Added

- \(feat\) remove ratel and dgraph connections [\#197](https://github.com/puppetlabs/comply/pull/197) ([maxiegit](https://github.com/maxiegit))

## [v0.3.0](https://github.com/puppetlabs/comply/tree/v0.3.0) (2020-05-14)

[Full Changelog](https://github.com/puppetlabs/comply/compare/v0.2.1...v0.3.0)

### Added

- \(feat\) adding postgres to the application stack [\#193](https://github.com/puppetlabs/comply/pull/193) ([tphoney](https://github.com/tphoney))
- \(CISC-292\) Automate comply tar upload [\#185](https://github.com/puppetlabs/comply/pull/185) ([maxiegit](https://github.com/maxiegit))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(bugfix\) Limit profile values in ciscat scan task [\#189](https://github.com/puppetlabs/comply/pull/189) ([tom-krieger](https://github.com/tom-krieger))

## [v0.2.1](https://github.com/puppetlabs/comply/tree/v0.2.1) (2020-04-20)

[Full Changelog](https://github.com/puppetlabs/comply/compare/0.2.0...v0.2.1)

### Added

- \(feat\) initial commit, of using a single task for scanning and uploading [\#184](https://github.com/puppetlabs/comply/pull/184) ([tphoney](https://github.com/tphoney))
- \(CISC-284\) Switch to change log generator  [\#183](https://github.com/puppetlabs/comply/pull/183) ([maxiegit](https://github.com/maxiegit))

## [0.2.0](https://github.com/puppetlabs/comply/tree/0.2.0) (2020-04-14)

[Full Changelog](https://github.com/puppetlabs/comply/compare/alpha-0.1.0...0.2.0)

### Added

- \(CISC-281\) Changes for the Beta [\#181](https://github.com/puppetlabs/comply/pull/181) ([da-ar](https://github.com/da-ar))
- Adding the terms of service [\#179](https://github.com/puppetlabs/comply/pull/179) ([tphoney](https://github.com/tphoney))
- 🙅 Beta switch [\#178](https://github.com/puppetlabs/comply/pull/178) ([da-ar](https://github.com/da-ar))

## [alpha-0.1.0](https://github.com/puppetlabs/comply/tree/alpha-0.1.0) (2020-04-08)

[Full Changelog](https://github.com/puppetlabs/comply/compare/b57dfdbbf5eabe59e77abcac060a1a5cbd6b1938...alpha-0.1.0)

### Added

- Fix: Add mapping to Windows 2019 benchmark file [\#174](https://github.com/puppetlabs/comply/pull/174) ([kreeuwijk](https://github.com/kreeuwijk))
- \(CISC-254\) Use artifactory to get scarpy [\#163](https://github.com/puppetlabs/comply/pull/163) ([tphoney](https://github.com/tphoney))
- \(CISC-261\) use pe + agent instead of upload and puppet apply [\#159](https://github.com/puppetlabs/comply/pull/159) ([maxiegit](https://github.com/maxiegit))
- Combining modules and updating code [\#153](https://github.com/puppetlabs/comply/pull/153) ([genebean](https://github.com/genebean))
- \(feat\) enable trusted external facts [\#145](https://github.com/puppetlabs/comply/pull/145) ([tphoney](https://github.com/tphoney))
- \(CISC-203\) Update scan plan to find comply stack [\#140](https://github.com/puppetlabs/comply/pull/140) ([da-ar](https://github.com/da-ar))
- \(CISC-204\) adding the ciscat scanner to the module [\#139](https://github.com/puppetlabs/comply/pull/139) ([tphoney](https://github.com/tphoney))
- \(CISC-203\) Update Beta to allow Comply Stack to run on standalone node [\#138](https://github.com/puppetlabs/comply/pull/138) ([da-ar](https://github.com/da-ar))
- \(feat\) move the comply stack to its own machine [\#136](https://github.com/puppetlabs/comply/pull/136) ([tphoney](https://github.com/tphoney))
- \(CISC-170\) Add integration tests for comply UI [\#123](https://github.com/puppetlabs/comply/pull/123) ([da-ar](https://github.com/da-ar))
- \(CISC-169\) Enable deployment of compliance ui stack [\#122](https://github.com/puppetlabs/comply/pull/122) ([da-ar](https://github.com/da-ar))
- \[CISC-164\] Auto update scarp from artifactory [\#121](https://github.com/puppetlabs/comply/pull/121) ([maxiegit](https://github.com/maxiegit))
- \(bugfix\) use OS specific tempdir for scan results [\#120](https://github.com/puppetlabs/comply/pull/120) ([tphoney](https://github.com/tphoney))
- \[CISC-162\] move rbac token retrieval to spec helper [\#118](https://github.com/puppetlabs/comply/pull/118) ([maxiegit](https://github.com/maxiegit))
- \(CISC-141\) Enable SSL verified connections [\#115](https://github.com/puppetlabs/comply/pull/115) ([da-ar](https://github.com/da-ar))
- \(CISC-139\)puppet agents do not autostart, caused timing issues [\#113](https://github.com/puppetlabs/comply/pull/113) ([tphoney](https://github.com/tphoney))
- Setup docker on PE for scarp server [\#102](https://github.com/puppetlabs/comply/pull/102) ([tphoney](https://github.com/tphoney))
- automate the startup of scarp in docker \(\#95\) [\#97](https://github.com/puppetlabs/comply/pull/97) ([da-ar](https://github.com/da-ar))
- automate the startup of scarp in docker [\#95](https://github.com/puppetlabs/comply/pull/95) ([da-ar](https://github.com/da-ar))
- Dgraph setup for the docker-compose stack [\#94](https://github.com/puppetlabs/comply/pull/94) ([tphoney](https://github.com/tphoney))
- Send scan to scarp container [\#93](https://github.com/puppetlabs/comply/pull/93) ([tphoney](https://github.com/tphoney))
- First attempt at getting scarp in a container [\#89](https://github.com/puppetlabs/comply/pull/89) ([tphoney](https://github.com/tphoney))
- \(CISC-111\) install comply bash script [\#87](https://github.com/puppetlabs/comply/pull/87) ([Lavinia-Dan](https://github.com/Lavinia-Dan))
- \(CISC-96\) Installing scarp by default with comply [\#83](https://github.com/puppetlabs/comply/pull/83) ([HelenCampbell](https://github.com/HelenCampbell))
- Integration tests via GitHub Actions [\#77](https://github.com/puppetlabs/comply/pull/77) ([da-ar](https://github.com/da-ar))
- \(CISC-45\) Build the module as part of the demo setup [\#76](https://github.com/puppetlabs/comply/pull/76) ([da-ar](https://github.com/da-ar))
- \[CISC-88\] add profile parameter [\#71](https://github.com/puppetlabs/comply/pull/71) ([maxiegit](https://github.com/maxiegit))
- \(CISC-115\) target\_roles helper function and initial integration tests [\#69](https://github.com/puppetlabs/comply/pull/69) ([da-ar](https://github.com/da-ar))
- \[CISC-76\] add cross compiled scarp for windows and linux [\#67](https://github.com/puppetlabs/comply/pull/67) ([maxiegit](https://github.com/maxiegit))
- \(CISC-69\) adding github actions [\#65](https://github.com/puppetlabs/comply/pull/65) ([tphoney](https://github.com/tphoney))
- \[CISC-104\] Additional splunk dashboard updates to automation [\#63](https://github.com/puppetlabs/comply/pull/63) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-107\) Apply Lidar config to PE server only [\#59](https://github.com/puppetlabs/comply/pull/59) ([da-ar](https://github.com/da-ar))
- \(CISC-101\) initial commit for adding lidar [\#57](https://github.com/puppetlabs/comply/pull/57) ([tphoney](https://github.com/tphoney))
- \[CISC-73\]Add PQL querying for target nodes [\#56](https://github.com/puppetlabs/comply/pull/56) ([maxiegit](https://github.com/maxiegit))
- \(CISC-72\) Add ability to define scan targets [\#50](https://github.com/puppetlabs/comply/pull/50) ([HelenCampbell](https://github.com/HelenCampbell))
- \[CISC-64\] add percentage compliancy to splunk table [\#49](https://github.com/puppetlabs/comply/pull/49) ([maxiegit](https://github.com/maxiegit))
- \(CISC-36\) initial attempt at running ciscat workbenches [\#47](https://github.com/puppetlabs/comply/pull/47) ([tphoney](https://github.com/tphoney))
- \[CISC-64\] Automate installing compliance dashboard [\#46](https://github.com/puppetlabs/comply/pull/46) ([maxiegit](https://github.com/maxiegit))
- \(CISC-80\) install java 1.8 on linux [\#44](https://github.com/puppetlabs/comply/pull/44) ([tphoney](https://github.com/tphoney))
- \(CISC-61\) rename to comply [\#42](https://github.com/puppetlabs/comply/pull/42) ([tphoney](https://github.com/tphoney))
- \(CISC-79\) use scarp, updated to 0.0.15 [\#41](https://github.com/puppetlabs/comply/pull/41) ([tphoney](https://github.com/tphoney))
- Helper plan to redeploy pfhind module [\#38](https://github.com/puppetlabs/comply/pull/38) ([da-ar](https://github.com/da-ar))
- \(CISC-66\) windows support for pfhix [\#36](https://github.com/puppetlabs/comply/pull/36) ([tphoney](https://github.com/tphoney))
- ciscat task uses facter helper [\#35](https://github.com/puppetlabs/comply/pull/35) ([tphoney](https://github.com/tphoney))
- \(CISC-55\) Add support for encoding of pfhix task results [\#34](https://github.com/puppetlabs/comply/pull/34) ([da-ar](https://github.com/da-ar))
- bump pfhix to 0.0.10 [\#25](https://github.com/puppetlabs/comply/pull/25) ([tphoney](https://github.com/tphoney))
- Add trusted fact for CIS in pp\_securitypolicy [\#24](https://github.com/puppetlabs/comply/pull/24) ([tphoney](https://github.com/tphoney))
- Add CISCat scan task [\#22](https://github.com/puppetlabs/comply/pull/22) ([da-ar](https://github.com/da-ar))
- compliance\_status plan takes target list, demo cleanup [\#20](https://github.com/puppetlabs/comply/pull/20) ([tphoney](https://github.com/tphoney))
- Adding a plan to setup splunk [\#19](https://github.com/puppetlabs/comply/pull/19) ([tphoney](https://github.com/tphoney))
- add the latest version of pfhix and add sumstat support [\#16](https://github.com/puppetlabs/comply/pull/16) ([tphoney](https://github.com/tphoney))
- ground work for puppet pipelines [\#15](https://github.com/puppetlabs/comply/pull/15) ([tphoney](https://github.com/tphoney))
- Add CISCat scanner install option to agents plan [\#13](https://github.com/puppetlabs/comply/pull/13) ([da-ar](https://github.com/da-ar))
- Adding the compliance\_status task [\#11](https://github.com/puppetlabs/comply/pull/11) ([tphoney](https://github.com/tphoney))
- Setup of external facts on PE server [\#10](https://github.com/puppetlabs/comply/pull/10) ([tphoney](https://github.com/tphoney))
- Updates to the plans [\#9](https://github.com/puppetlabs/comply/pull/9) ([da-ar](https://github.com/da-ar))
- adding in trusted external facts [\#8](https://github.com/puppetlabs/comply/pull/8) ([tphoney](https://github.com/tphoney))
- add pfhix install and task [\#7](https://github.com/puppetlabs/comply/pull/7) ([tphoney](https://github.com/tphoney))
- Oscap scan task [\#6](https://github.com/puppetlabs/comply/pull/6) ([tphoney](https://github.com/tphoney))
- CI the things [\#4](https://github.com/puppetlabs/comply/pull/4) ([da-ar](https://github.com/da-ar))
- install oscap scanner and acceptance test [\#3](https://github.com/puppetlabs/comply/pull/3) ([tphoney](https://github.com/tphoney))
- pdksync [\#2](https://github.com/puppetlabs/comply/pull/2) ([tphoney](https://github.com/tphoney))
- adding some module structure [\#1](https://github.com/puppetlabs/comply/pull/1) ([tphoney](https://github.com/tphoney))

### UNCATEGORIZED PRS; LABEL THEM ON GITHUB

- \(CISC-282\) Add guard for Java prerequisite [\#172](https://github.com/puppetlabs/comply/pull/172) ([da-ar](https://github.com/da-ar))
- \(CISC-273\) task\_helper will use correct exit\_status [\#171](https://github.com/puppetlabs/comply/pull/171) ([da-ar](https://github.com/da-ar))
- \(bugfix\) use 'value' in targets response [\#165](https://github.com/puppetlabs/comply/pull/165) ([tphoney](https://github.com/tphoney))
- \(CISC-251\) fixing acceptance / integration tests and better error checking in demo plans [\#155](https://github.com/puppetlabs/comply/pull/155) ([tphoney](https://github.com/tphoney))
- \(CISC-211\) Remove Authentication for Scarp temporarily [\#144](https://github.com/puppetlabs/comply/pull/144) ([HelenCampbell](https://github.com/HelenCampbell))
- Better messaging for extending the vmlife rake task [\#114](https://github.com/puppetlabs/comply/pull/114) ([tphoney](https://github.com/tphoney))
- Use choco's own installer and pin Java to jre8 [\#112](https://github.com/puppetlabs/comply/pull/112) ([kreeuwijk](https://github.com/kreeuwijk))
- Don't use content param [\#110](https://github.com/puppetlabs/comply/pull/110) ([kreeuwijk](https://github.com/kreeuwijk))
- clarify the docker image  vs docker compose instructions [\#105](https://github.com/puppetlabs/comply/pull/105) ([tphoney](https://github.com/tphoney))
- tweaks to docker initialization [\#104](https://github.com/puppetlabs/comply/pull/104) ([da-ar](https://github.com/da-ar))
- update to SSL cert generation [\#103](https://github.com/puppetlabs/comply/pull/103) ([da-ar](https://github.com/da-ar))
- change the dgraph port in docker-compose [\#101](https://github.com/puppetlabs/comply/pull/101) ([tphoney](https://github.com/tphoney))
- Volumes [\#100](https://github.com/puppetlabs/comply/pull/100) ([da-ar](https://github.com/da-ar))
- Ignore docker volumes [\#99](https://github.com/puppetlabs/comply/pull/99) ([da-ar](https://github.com/da-ar))
- latest scarp 0.0.27 [\#98](https://github.com/puppetlabs/comply/pull/98) ([tphoney](https://github.com/tphoney))
- Integration test changes  [\#91](https://github.com/puppetlabs/comply/pull/91) ([da-ar](https://github.com/da-ar))
- Fix to get Lidar demo plan working [\#86](https://github.com/puppetlabs/comply/pull/86) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-129\) Update latest docker-compose file [\#84](https://github.com/puppetlabs/comply/pull/84) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-114\) Hardening of tests and documentation addition [\#73](https://github.com/puppetlabs/comply/pull/73) ([HelenCampbell](https://github.com/HelenCampbell))
- \[CISC-117\] Fix invalid scanner names defaulting to oscap [\#72](https://github.com/puppetlabs/comply/pull/72) ([maxiegit](https://github.com/maxiegit))
- amend the readme for scan\_plan [\#68](https://github.com/puppetlabs/comply/pull/68) ([tphoney](https://github.com/tphoney))
- remove a blank line from the readme [\#66](https://github.com/puppetlabs/comply/pull/66) ([tphoney](https://github.com/tphoney))
- \(CISC-78\) clean up trusted external facts for comply [\#60](https://github.com/puppetlabs/comply/pull/60) ([tphoney](https://github.com/tphoney))
- \(CISC-85\) Ensure the task fails if the scan fails to complete correctly [\#55](https://github.com/puppetlabs/comply/pull/55) ([da-ar](https://github.com/da-ar))
- \(CISC-106\) fail hard for oscap scans, for unsupported OSes [\#54](https://github.com/puppetlabs/comply/pull/54) ([tphoney](https://github.com/tphoney))
- \(CISC-105\) remove puppet agent -t from compliance\_scan and document. [\#53](https://github.com/puppetlabs/comply/pull/53) ([tphoney](https://github.com/tphoney))
- Clean up tasks for compliance\_scan [\#52](https://github.com/puppetlabs/comply/pull/52) ([da-ar](https://github.com/da-ar))
- \[CISS-64\] Fix overall compliance chart for new json [\#51](https://github.com/puppetlabs/comply/pull/51) ([maxiegit](https://github.com/maxiegit))
- \(CISC-84\) Fixing the output to be true json in the scan result file [\#48](https://github.com/puppetlabs/comply/pull/48) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-86\) Oscap scan failure fix [\#45](https://github.com/puppetlabs/comply/pull/45) ([HelenCampbell](https://github.com/HelenCampbell))
- \(CISC-81\) chocolatey is installed in one apply [\#43](https://github.com/puppetlabs/comply/pull/43) ([tphoney](https://github.com/tphoney))
- \(CISC-48\) Compliance Scan plan should not fail for singular errors [\#40](https://github.com/puppetlabs/comply/pull/40) ([da-ar](https://github.com/da-ar))
- \(CISC-82\) fix for windows and facter [\#39](https://github.com/puppetlabs/comply/pull/39) ([tphoney](https://github.com/tphoney))
- \(CISC-62\) Improve Plan step reporting [\#37](https://github.com/puppetlabs/comply/pull/37) ([da-ar](https://github.com/da-ar))
- Oscap graceful on windows, run the correct scan according to OS [\#33](https://github.com/puppetlabs/comply/pull/33) ([tphoney](https://github.com/tphoney))
- \(CISC-49\) ciscat is the default scanner now, plan renaming [\#32](https://github.com/puppetlabs/comply/pull/32) ([tphoney](https://github.com/tphoney))
- working plan for ciscat scanning [\#31](https://github.com/puppetlabs/comply/pull/31) ([tphoney](https://github.com/tphoney))
- Updates Splunk automation due to changes in PIE\_tools [\#30](https://github.com/puppetlabs/comply/pull/30) ([HelenCampbell](https://github.com/HelenCampbell))
- Add unit test for ciscat\_scan task [\#29](https://github.com/puppetlabs/comply/pull/29) ([da-ar](https://github.com/da-ar))
- \[CISC-37\] Fix token not being kept by manifest [\#28](https://github.com/puppetlabs/comply/pull/28) ([maxiegit](https://github.com/maxiegit))
- Fix unit test checkouts [\#27](https://github.com/puppetlabs/comply/pull/27) ([tphoney](https://github.com/tphoney))
- remove line about running in pe ui [\#26](https://github.com/puppetlabs/comply/pull/26) ([tphoney](https://github.com/tphoney))
- symlinks to make pe ui work with 'puppet module install' [\#21](https://github.com/puppetlabs/comply/pull/21) ([tphoney](https://github.com/tphoney))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
